import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';

import { AppComponent } from './app.component';
import { StatusComponent } from './timeline/status/status.component';
import { HomeuiComponent } from './homeui/homeui.component';
import { TimelineComponent } from './timeline/timeline.component';
import { PostComponent } from './timeline/post/post.component';
import { InboxComponent } from './inbox/inbox.component';
import { ButtonsComponent } from './buttons/buttons.component';
import { NaviComponent } from './navi/navi.component';
import { CommentComponent } from './timeline/post/comment/comment.component';
import { MessageComponent } from './inbox/message/message.component';
import { RouterModule, Routes } from '@angular/router';
import { ChatroomComponent } from './chatroom/chatroom.component';

const appRoutes: Routes = [
	{ path: '', component: TimelineComponent },
	{ path: 'chatroom', component: ChatroomComponent }
];

@NgModule({
	declarations: [
		AppComponent,
		StatusComponent,
		HomeuiComponent,
		TimelineComponent,
		PostComponent,
		InboxComponent,
		ButtonsComponent,
		NaviComponent,
		CommentComponent,
		MessageComponent,
		ChatroomComponent,
	],
	imports: [
		BrowserModule,
		FormsModule,
		HttpClientModule,
		RouterModule.forRoot(
			appRoutes,
			{ enableTracing: false }
		),
	],
	providers: [],
	bootstrap: [AppComponent]
})
export class AppModule { }
